using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Turing.Model
{    
    internal class Program
    {
        /*
        private string[] instrukcje;

        public string[] Instrukcje
        {
            get
            {
                return instrukcje;
            }
            private set
            {
                instrukcje = value;
            }
        }
        */

        public (char, char, char, char)[] Instrukcje { get; private set; } //auto-implemented property

        private static bool czyInstrukcjaPoprawna((char, char, char, char) czwórka)
        {
            //mała, duża, duża, mała (tylko litery)
            throw new NotImplementedException();
        }

        private bool czyProgramJestJednoznaczny((char, char, char, char)[] instrukcje)
        {
            //czy nie ma dwóch instrukcji zaczynających się od tych samych dwóch znaków
            throw new NotImplementedException();
        }

        public Program(string[] instrukcje)
        {
            //TODO: sprawdzenie poprawności programu i poprawności instrukcji
            //użyć rozszerzeń LINQ
            throw new NotImplementedException();
        }

        public Program Load(string ścieżkaPliku)
        {
            throw new NotImplementedException();
        }
    }
}
